// app global css in SCSS form
$const: (
  per: '%'
);

@for $value from 0 through 100 {
  @each $key, $val in $const {
    .opacity-#{$value} {
      opacity: #{$value}#{$val}
    }
  }
}

.bg-white-alpha {
  background: #FFFFFFBF;
}

.primary-accent-alt {
  background: linear-gradient(45deg, $primary 0%, $accent 25%, $alt-primary 100%);
}

.secondary-accent-alt {
  background: linear-gradient(225deg, $secondary 0%, $accent 25%, $alt-primary 100%);
}

.ctrl-p-alt-s-secondary-accent {
  background: linear-gradient(135deg, $ctrl-primary 0%, $ctrl-secondary 100%);
  // background: radial-gradient()
}

.bg-alt-primary {
  background: $alt-primary;
}

.bg-alt-secondary {
  background: $alt-secondary;
}

.bg-alt-accent {
  background: $alt-accent;
}

.bg-alt-accent-alpha-30 {
  background: #170B3B4D;
}

.bg-ctrl-primary {
  background: $ctrl-primary;
}

.bg-ctrl-secondary {
  background: $ctrl-secondary;
}

.text-alt-primary {
  color: $alt-primary;
}

.text-alt-secondary {
  color: $alt-secondary;
}

.text-alt-accent {
  color: $alt-accent;
}

.text-ctrl-primary {
  color: $ctrl-primary;
}

.text-ctrl-secondary {
  color: $ctrl-secondary;
}

.rounded-border-16 {
  border-radius: 16px;
}

.rounded-border-right-16 {
  border-bottom-right-radius: 16px;
  border-top-right-radius: 16px;
}

.pay-slip {
  z-index: 10;
  position: absolute;
}

.rotate-350 {
  transform: rotate(350deg);
}

.rotate-5 {
  transform: rotate(2deg);
}

.head-link {
  text-decoration: none;
  color: white;
}

.head-link:Hover {
  background: linear-gradient(135deg, $ctrl-primary 0%, $ctrl-secondary 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -moz-background-clip: text;

  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;

}

/* @README:
    Use SCSS syntactic sugar to improve the gradient-box
    something like gradient-box { btn: {}; pricing: {} }
*/
.gradient-box-btn {
  border: 4px solid transparent;
  background: 
      linear-gradient(0deg, $primary, $primary),
      linear-gradient(135deg, $ctrl-primary 0%, $ctrl-secondary 100%);
  border-radius: 8px;
  background-clip: padding-box, border-box;
  background-origin: padding-box, border-box;
}

.gradient-box-pricing {
  border: 8px solid transparent;
  background: 
      linear-gradient(0deg, $accent, $accent),
      linear-gradient(135deg, $ctrl-primary 0%, $ctrl-secondary 100%);
  border-radius: 16px;
  background-clip: padding-box, border-box;
  background-origin: padding-box, border-box;
}

// .bg-alt-accent-full {
//   position: absolute;
//   min-height: 100vh;
//   top: 0;
//   left: 0;
//   bottom: 0;
//   right: 0;
//   width: 100%;
//   background: $alt-accent no-repeat center center fixed; 
//   -webkit-background-size: cover;
//   -moz-background-size: cover;
//   -o-background-size: cover;
//   background-size: cover;
// }

.bg-alt-accent-full {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  min-height: 100%;
  width: 100%;
  // background: linear-gradient(270deg, $secondary 0%, $alt-secondary, $ctrl-primary 100%);
  background: $alt-accent
  // background-attachment: fixed;
  // background-size: 100%;
}